LinuxQMISDK: custFeaturesInfo Struct Reference

LinuxQMISDK SLQS03.03.07

- Main Page
- Modules
- References
- Data Structures

- Data Structures
- Data Fields

Data Fields
custFeaturesInfo Struct Reference

## Data Fields
ULONG | GpsEnable
BYTE * | pDisableIMSI
WORD * | pIPFamSupport
BYTE * | pRMAutoConnect
BYTE * | pGPSSel
BYTE * | pSMSSupport
BYTE * | pIsVoiceEnabled
BYTE * | pDHCPRelayEnabled
BYTE * | pGPSLPM

## Detailed Description

This structure contains current settings of custom features

Parameters

  GpsEnable | describes if GPS is enabled or disabled values: 0x00 - GPS is disabled 0x01 - GPS is enabled function SLQSGetCustFeatures() returns a default value FFFFFFFF if no value is returned by the modem
  pDisableIMSI | optional 1 byte parameter describes if IMSI display is enabled or disabled values: 0x00 - Allow display of IMSI 0x01 - Do not display IMSI function SLQSGetCustFeatures() returns a default value FF if no value is returned by the modem
  pIPFamSupport | optional 2 byte BitMask bitmask representing the IP families supported values: 0x01 - IPv4 0x02 - IPv6 0x04 - IPv4v6 function SLQSGetCustFeatures() returns a default value FFFF if no value is returned by the modem
  pRMAutoConnect | optional 1 byte parameter QMI Mode RM Net AutoConnect Support values: 0x00 - Not Supported 0x01 - Supported function SLQSGetCustFeatures() returns a default value FF if no value is returned by the modem
  pGPSSel | optional 1 byte parameter GPS Antenna Select values: 0x00 - Dedicated GPS Port 0x01 - GPS Rx over AUX Port 0x02 - GPS Rx over dedicated GPS port with no bias voltage applied function SLQSGetCustFeatures() returns a default value FF if no value is returned by the modem
  pSMSSupport | optional 1 byte parameter SMS support values: 0x00 - Not supported 0x01 - supported Used to determine whether or not to hide SMS from user function SLQSGetCustFeatures() returns a default value FF if no value is returned by the modem. In this case assume, SMS is supported.
  pIsVoiceEnabled | optional 1 byte parameter Voice support values: 0x00 - Enable voice on both AT and QMI interface (default) 0x01 - Reserved 0x02 - Disable voice on both AT and QMI interface
  pDHCPRelayEnabled | optional 1 byte parameter DHCP Relay support values: 0x00 - Disable DHCP relay 0x01 - Enable DHCP relay
  pGPSLPM | optional 1 byte parameter GPSLPM support values: 0x00 - Enable GPS in Low Power Mode 0x01 - Disable GPS in Low Power Mode

## Field Documentation

ULONG custFeaturesInfo::GpsEnable

BYTE* custFeaturesInfo::pDHCPRelayEnabled

BYTE* custFeaturesInfo::pDisableIMSI

BYTE* custFeaturesInfo::pGPSLPM

BYTE* custFeaturesInfo::pGPSSel

WORD* custFeaturesInfo::pIPFamSupport

BYTE* custFeaturesInfo::pIsVoiceEnabled

BYTE* custFeaturesInfo::pRMAutoConnect

BYTE* custFeaturesInfo::pSMSSupport